Package: src:node-rollup
Version: 0.50.0-1
Severity: serious

echo 0.50.0-1 > .commithash \
&& rollup -c

src/node-entry.js → dist/rollup.js, dist/
[!] (commonjs plugin) TypeError: parse is not a function in
TypeError: parse is not a function in /<<PKGBUILDDIR>>/src/node-entry.js
    at error (/usr/lib/nodejs/rollup/dist/rollup.js:192:14)
    at Promise.resolve.then.catch.err
    at <anonymous>
    at process._tickCallback (internal/process/next_tick.js:188:7)
    at Function.Module.runMain (module.js:678:11)
    at startup (bootstrap_node.js:187:16)
    at bootstrap_node.js:608:3

Such breakages could be found before upload by using
(and I have shared this earlier too when node-source-map 0.7 broke a lot
of reverse dependencies). A major version really means introducing a
breaking change.

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to